APIs / Tumblr / Posts

Tumblr: Posts

Posts from Tumblr as JSON. 1 credit per successful call.

GET /v1/tumblr/postsNeeds terms

Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
blogstringRequiredUp to 64 characters
cursorstringOptionalUp to 2,048 characters
npfbooleanOptionalAny
reblog_infobooleanOptionalAny
include_pinned_postsbooleanOptionalAny
fieldsstringOptionalUp to 500 characters

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/tumblr/posts?blog=aphractal2" \
  -H "X-API-Key: $API_KEY"